Skip to main content
GET
/
api
/
v1
/
campaigns
curl "https://api.usegately.com/api/v1/campaigns" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "X-Project-ID: YOUR_PROJECT_ID"
[
  {
    "id": "a1b2c3d4-e5f6-4789-abcd-ef1234567890",
    "project_id": "proj-uuid-here",
    "name": "Product Launch",
    "subject": "Introducing our new feature!",
    "status": "sent",
    "total_recipients": 842,
    "delivered_count": 835,
    "recipient_filter": {
      "type": "mixed",
      "emails": [],
      "list_ids": ["list-uuid"],
      "segment_ids": [],
      "all_contacts": false
    },
    "scheduled_at": null,
    "sent_at": "2025-06-01T10:00:00.000Z",
    "created_at": "2025-05-30T14:22:00.000Z",
    "updated_at": "2025-06-01T10:04:11.000Z"
  }
]

Headers

Authorization
string
required
Bearer YOUR_API_KEY
X-Project-ID
string
Your project UUID. Not required if the API key already encodes the project.

Response

Returns an array of campaign objects ordered by created_at descending.
id
string
Unique campaign identifier (UUID)
project_id
string
Project this campaign belongs to
name
string
Display name of the campaign
subject
string
Email subject line
content
string
Original HTML body content
html_content
string
Processed HTML with tracking injected
status
string
One of: sending · scheduled · sent · partially_sent · failed
total_recipients
number
Number of addresses targeted
delivered_count
number
Emails successfully sent
recipient_filter
object
Snapshot of the recipient sources used when the campaign was sent
scheduled_at
string
ISO 8601 scheduled send time, or null
sent_at
string
ISO 8601 actual send time, or null
created_at
string
ISO 8601 creation timestamp
curl "https://api.usegately.com/api/v1/campaigns" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "X-Project-ID: YOUR_PROJECT_ID"
[
  {
    "id": "a1b2c3d4-e5f6-4789-abcd-ef1234567890",
    "project_id": "proj-uuid-here",
    "name": "Product Launch",
    "subject": "Introducing our new feature!",
    "status": "sent",
    "total_recipients": 842,
    "delivered_count": 835,
    "recipient_filter": {
      "type": "mixed",
      "emails": [],
      "list_ids": ["list-uuid"],
      "segment_ids": [],
      "all_contacts": false
    },
    "scheduled_at": null,
    "sent_at": "2025-06-01T10:00:00.000Z",
    "created_at": "2025-05-30T14:22:00.000Z",
    "updated_at": "2025-06-01T10:04:11.000Z"
  }
]